group 'id.kalanusa.flutter_zsdk'
version '1.0'

buildscript {
    repositories {
        jcenter()
        google()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:7.3.0'
    }
}

rootProject.allprojects {
    repositories {
        jcenter()
        google()
        mavenCentral()
    }
}

apply plugin: 'com.android.library'

android {
    if (project.android.hasProperty("namespace")) {
        namespace 'id.kalanusa.flutter_zsdk'
    }

    compileSdk 34

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        minSdkVersion 19
        multiDexEnabled true
    }

    dependencies {
        testImplementation 'junit:junit:4.13.2'
        testImplementation 'org.mockito:mockito-core:5.0.0'
    }

    lintOptions {
        abortOnError false
        checkReleaseBuilds false
    }

    testOptions {
        unitTests.all {
            testLogging {
               events "passed", "skipped", "failed", "standardOut", "standardError"
               outputs.upToDateWhen {false}
               showStandardStreams = true
            }
        }
    }

    packagingOptions {
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/NOTICE.txt'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/DEPENDENCIES'
    }
}

dependencies {
    implementation files('libs\\commons-io-2.17.0.jar')
    implementation files('libs\\commons-lang3-3.17.0.jar')
    implementation files('libs\\commons-net-3.11.1.jar')
    implementation files('libs\\commons-validator-1.9.0.jar')
    implementation files('libs\\core-1.58.0.0.jar')
    implementation files('libs\\httpcore-4.4.16.jar')
    implementation files('libs\\httpmime-4.5.14.jar')
    
    implementation files('libs\\jackson-annotations-2.17.2.jar')
    implementation files('libs\\jackson-core-2.17.2.jar')
    implementation files('libs\\jackson-databind-2.17.2.jar')

    // implementation 'com.fasterxml.jackson.core:jackson-annotations:2.13.3' // Downgraded
    // implementation 'com.fasterxml.jackson.core:jackson-core:2.13.3' // Downgraded
    // implementation 'com.fasterxml.jackson.core:jackson-databind:2.13.3' // Downgraded

    implementation files('libs\\opencsv-2.3.jar')
    implementation files('libs\\pkix-1.54.0.0.jar')
    implementation files('libs\\prov-1.58.0.0.jar')
    implementation files('libs\\snmp6_1z.jar')
    implementation files('libs\\ZSDK_ANDROID_API.jar')
    // implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.multidex:multidex:2.0.1'
}
